package u3a3;

public class KD {
	/**
	 * Parse a "Klammerdarstellung" (KD) of tree.
	 * 
	 * <ul>
	 * <li>An empty tree is encoded as '-'.</li>
	 * <li>A node is encoded as an upper case letter, i.e. everything accepted by {@link Character#isUpperCase(char)}.</li>
	 * <li>Children are appended to the father as a ','-separated list of nodes enclosed in round brackets.</li>
	 * </ul> 
	 * 
	 * @param kd Tree encoded in KD
	 * @throws ParseException if the given String is not a valid KD of a tree.
	 */
	public static void parse(String kd) throws ParseException
	{
	}
}
